Summary:    Drivers for printing to HP PPA printers
Name:       pnm2ppa
Version:    1.13
Release:    1%{?dist}
License:    GPLv2+
URL:        http://sourceforge.net/projects/pnm2ppa 
Source0:    http://download.sourceforge.net/pnm2ppa/pnm2ppa-%{version}.tar.gz
Source1:    http://www.httptech.com/ppa/files/ppa-0.8.6.tar.gz

Patch3000:  pbm2ppa-20000205.diff
Patch3001:  pnm2ppa-RPM_OPT_FLAGS.patch
Patch3002:  pnm2ppa-coverity-return-local.patch
Patch3003:  pnm2ppa-ldflags.patch
Patch3004:  pnm2ppa-gcc10.patch
Patch5000:  pnm2ppa-debrand.patch

BuildRequires: gcc make
BuildRequires: autoconf automake
Requires:      foomatic

%description
pnm2ppa is a Ghostscript print filter which allows owners of
HP DeskJet 710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse,
or 1000Cxi printers to print PostScript Level 2.


%prep
%setup -q
# ppa-0.8.6
%setup -q -T -D -a 1 
%patch -P 3000 -p0
%autopatch -p1 -m 3001 -M 5000

autoreconf -fiv

%build
%configure
%make_build
pushd pbm2ppa-0.8.6
%make_build
popd


%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
%make_install \
  INSTALLDIR=%{buildroot}%{_bindir} \
  CONFDIR=%{buildroot}%{_sysconfdir} \
  MANDIR=%{buildroot}%{_mandir}/man1
install -p -m 0755 utils/Linux/detect_ppa %{buildroot}%{_bindir}
install -p -m 0755 utils/Linux/test_ppa %{buildroot}%{_bindir}
install -p -m 0755 pbm2ppa-0.8.6/pbm2ppa  %{buildroot}%{_bindir}
install -p -m 0755 pbm2ppa-0.8.6/pbmtpg   %{buildroot}%{_bindir}
install -p -m 0644 pbm2ppa-0.8.6/pbm2ppa.conf %{buildroot}%{_sysconfdir}
install -p -m 0644 pbm2ppa-0.8.6/pbm2ppa.1   %{buildroot}%{_mandir}/man1

chmod 644 docs/en/LICENSE
mkdir -p pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  install -p -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done


%files 
%license docs/en/LICENSE
%doc docs/en/CREDITS docs/en/INSTALL docs/en/README
%doc docs/en/RELEASE-NOTES docs/en/TODO
%doc docs/en/COLOR.txt docs/en/CALIBRATION.txt
%doc docs/en/COLOR.html docs/en/CALIBRATION.html
%doc test.ps
%doc pbm2ppa
%{_bindir}/pnm2ppa
%{_bindir}/pbm2ppa
%{_bindir}/pbmtpg
%{_bindir}/calibrate_ppa
%{_bindir}/test_ppa
%{_bindir}/detect_ppa
%{_mandir}/man1/pnm2ppa.1*
%{_mandir}/man1/pbm2ppa.1*
%config(noreplace) %{_sysconfdir}/pnm2ppa.conf
%config(noreplace) %{_sysconfdir}/pbm2ppa.conf

%changelog
* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 1.13-1
- Upgrade to version 1.13

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 1.04-4
- remove unused README

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Miaojun Dong <zoedong@tencent.com> - 1.04-1
- initial build
